Subject: Re: [urn] Request for the NID 'ddi'

From: "Joachim Wackerow" <[email-masked]>
Date: Mon, 26 Jul 2021 10:32:47 +0000

Hello all,

Just as summary information, because some of the communication didn't go to this list.

The following entry was added to the Formal URN Namespaces registry:
ddi		[draft-urn-ddi-00]
Please see: https://www.iana.org/assignments/urn-namespaces

The related draft document is available at: https://datatracker.ietf.org/doc/draft-urn-ddi/00/.

The following related NAPTR record has been registered in the urn.arpa zone:
Key: ddi
Authority: DDI Alliance as specified in the document 'draft-urn-ddi-00'
Record: ddi IN NAPTR 100 10 "" "" "" registry.ddialliance.org.

Thanks again to Peter Saint-Andre, Dale Worley, and Juha Hakala for their advice.
Joachim

-----Original Message-----
From: urn <[email-masked]> On Behalf Of Peter Saint-Andre
Sent: Donnerstag, 13. Mai 2021 15:32
To: [email-masked]
Subject: Re: [urn] Request for the NID 'ddi'

My apologies, I will take care of this today or tomorrow.

On 4/28/21 5:25 AM, Joachim Wackerow wrote:
> Hello Peter and all,
> 
> I'm not familiar with the procedure, therefore I have again some questions.
> 
> 1. What is the status of the DDI URN registration procedure? When will it be approved?
> 2. Does it make sense that I apply for the NAPTR registration in case the DDI URN is not approved yet?
> 3. I submitted the DDI URN document as Internet-Draft (see below). Do I need to take some action on this beside the submission?
> 
> Thank you for your advice
> Joachim
> 
> -----Original Message-----
> From: Joachim Wackerow <[email-masked]> 
> Sent: Donnerstag, 25. Februar 2021 09:44
> To: 'Peter Saint-Andre' <[email-masked]>; [email-masked]' <[email-masked]>
> Subject: RE: [urn] Request for the NID 'ddi'
> 
> Hallo Peter,
> 
> The document is now submitted as Internet-Draft, see: https://datatracker.ietf.org/doc/draft-urn-ddi/.
> 
> The submitted version differs to the version which I submitted on this list on 2021-02-11 only regarding the sections "Status of this Memo" and "Copyright Notice". It was necessary to change them in order to conform to the related rules.
> 
> Joachim
> 
> -----Original Message-----
> From: urn <[email-masked]> On Behalf Of Joachim Wackerow
> Sent: Freitag, 12. Februar 2021 16:21
> To: 'Peter Saint-Andre' <[email-masked]>; [email-masked]
> Subject: Re: [urn] Request for the NID 'ddi'
> 
> Thank you Peter.
> 
> Do I understand right that it would make sense to go both paths?
> You submit the extracted registration template to IANA and I submit the document as Internet-Draft. Interested readers could get the full context.
> 
> For the NAPTR registration, I will proceed according to the instructions in RFC 3405 when IANA registered the namespace.
> Could you please inform me when the namespace is registered?
> 
> Thanks again
> Joachim
> 
> -----Original Message-----
> From: Peter Saint-Andre <[email-masked]> 
> Sent: Donnerstag, 11. Februar 2021 21:54
> To: Joachim Wackerow <[email-masked]>; [email-masked]
> Subject: Re: [urn] Request for the NID 'ddi'
> 
> Hallo Joachim,
> 
> For the URN namespace registration, it is not necessary for you to
> submit an Internet-Draft or publish an RFC (we made the procedure more
> lightweight when in RFC 8141 compared to RFC 3406). Naturally, you are
> free to submit an Internet-Draft if you would like readers to understand
> the full context for the namespace registration; however, my plan was to
> extract the registration template from your document and submit that to
> the IANA directly (in my role as team lead for URN registrations).
> 
> For the NAPTR registration, indeed please follow the instructions in
> Section 5 of RFC 3405.
> 
> Peter
> 
> On 2/11/21 1:35 PM, Joachim Wackerow wrote:
>> Hallo Peter,
>>
>> Attached is the final copy of the document. I created the document in Word with the template 2-Word-v2.0.template.dot [RFC5385]. The PDF version is saved from Word. The .txt version is created from the Word file according to the instructions in RFC5385.
>>
>> Please advise me on some more questions:
>> - Where will the document be provided?
>> - Should I submit the document at https://datatracker.ietf.org/submit/? 
>> - We plan to apply for a NAPTR registration (replacement registry.ddialliance.org) according to RFC3405. Where and when should I apply for this? Is the email list "[email-masked]" (mentioned in RFC3405) the correct option or [email-masked]?
>>
>> Thanks
>> Joachim 
>>
>> -----Original Message-----
>> From: Peter Saint-Andre <[email-masked]> 
>> Sent: Mittwoch, 10. Februar 2021 22:45
>> To: Joachim Wackerow <[email-masked]>; [email-masked]
>> Subject: Re: [urn] Request for the NID 'ddi'
>>
>> Hallo Joachim,
>>
>> Please send us a final copy of your document so that we can extract the
>> template and request that IANA register the namespace.
>>
>> Thanks!
>>
>> Peter
>>
>> On 2/10/21 6:12 AM, Joachim Wackerow wrote:
>>> Hello Juha, Dale, and all,
>>>
>>> Juha and Dale: thanks for checking and the approval.
>>>
>>> What would be the next steps? Please give me advice.
>>>
>>> Thanks
>>> Joachim
>>>
>>> -----Original Message-----
>>> From: Hakala, Juha E <[email-masked]> 
>>> Sent: Dienstag, 9. Februar 2021 13:38
>>> To: Dale R. Worley <[email-masked]>; Joachim Wackerow
>>> <[email-masked]>
>>> Cc: [email-masked]
>>> Subject: VS: [urn] Request for the NID 'ddi'
>>>
>>> Hello Joachim, 
>>>
>>> I agree with Dale - the text is OK. As far as I am concerned, it can be
>>> approved in its present form. 
>>>
>>> Best regards, 
>>>
>>> Juha
>>>
>>> -----Alkuperäinen viesti-----
>>> Lähettäjä: urn <[email-masked]> Puolesta Dale R. Worley
>>> Lähetetty: tiistai 9. helmikuuta 2021 4.32
>>> Vastaanottaja: Joachim Wackerow <[email-masked]>
>>> Kopio: [email-masked]
>>> Aihe: Re: [urn] Request for the NID 'ddi'
>>>
>>> "Joachim Wackerow" <[email-masked]> writes:
>>>> Hello Dale, Juha and all,
>>>>
>>>> Attached is the new version with changes according to your comments.
>>>> Thanks again for the detailed hints.
>>>
>>> The changes look good to me.
>>>
>>> Dale
>>>
>>> _______________________________________________
>>> urn mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/urn
>>>
>>> _______________________________________________
>>> urn mailing list
>>> [email-masked]
>>> https://www.ietf.org/mailman/listinfo/urn
>>>
>>
>>
>> _______________________________________________
>> urn mailing list
>> [email-masked]
>> https://www.ietf.org/mailman/listinfo/urn
>>
> 
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn
> 
> _______________________________________________
> urn mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/urn
> 

_______________________________________________
urn mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/urn